﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.DotProlog.Execution;
using OpcLabs.DotProlog.Terms;
using OpcLabs.DotProlog.Test;

namespace DotPrologTest.Execution
{
    [TestClass]
    // ReSharper disable once InconsistentNaming
    public class True_0_Test : ExecutionTest
    {
        // ReSharper disable InconsistentNaming

        [TestMethod]
        public void ATest()
        {
            using (IEngine engine = new Engine())
                Test(engine, new NTerm("true"), Success(), "Expected success.");
        }

        [TestMethod]
        public void Test_7_8_1_4_Examples_1()
        {
            using (IEngine engine = new Engine())
            {
                Term goal = Parse("true. ");
                Test(engine, goal, Success(), "Expected success.");
                //FrontEnd.PrintResults(engine.Call(goal), variableNameDictionary);
            }
        }

        // ReSharper restore InconsistentNaming
    }
}
