﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.Engine;
using OpcLabs.EasyOpcFactory.Engine;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.Engine
{
    static public class EasyAESharedParametersInstances
    {
        [NotNull]
        static public EasyAESharedParameters Instance1 => new EasyAESharedParameters
        {
            ClientParameters = EasyAEClientParametersInstances.Instance1,
            EngineParameters = EasyAEEngineParametersInstances.Instance1,
            LinkParameters = EasyAELinkParametersInstances.Instance1,
            MachineParameters = EasyMachineParametersInstances.Instance1,
        };
    }
}
