﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.AddressSpace;

namespace OpcLabs.EasyOpcFactory.DataAccess.AddressSpace
{
    static public class DANodeElementInstances
    {
        [NotNull]
        static public DANodeElement Instance0 => new DANodeElement();

        [NotNull]
        static public DANodeElement Instance1 => new DANodeElement
        {
            BrowsePath = "/TestBrowsePath1",
            HasChildren = true,
            IsBranch = true,
            IsLeaf = false,
            ItemId = "TestItemId1",
            Name = "TestName1"
        };

        [NotNull]
        static public DANodeElement Instance2 => new DANodeElement
        {
            BrowsePath = "/TestBrowsePath2",
            HasChildren = true,
            IsBranch = true,
            IsLeaf = true,
            NodePath = "TestNodePath2",
            ItemId = "TestItemId2",
            Name = "TestName2"
        };
    }
}
