﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.Forms.Browsing;
using OpcLabs.EasyOpcFactory.AlarmsAndEvents;
using OpcLabs.EasyOpcFactory.DataAccess;

namespace OpcLabs.EasyOpcFactory.Forms.Browsing
{
    static public class OpcBrowseNodeDescriptorInstances
    {
        [NotNull]
        static public OpcBrowseNodeDescriptor Instance1 => new OpcBrowseNodeDescriptor
        {
            AEAttributeId = 11,
            AECategoryId = 22,
            AEConditionName = "aeCondition",
            AENodeDescriptor = AENodeDescriptorInstances.Instance1,
            AESubconditionName = "aeSubcondition",
            DAAccessPath = "daAccessPath",
            DANodeDescriptor = DANodeDescriptorInstances.Instance1,
            DAPropertyDescriptor = DAPropertyDescriptorInstances.Instance1,
            ServerDescriptor = ServerDescriptorInstances.Instance1
        };

        [NotNull]
        static public OpcBrowseNodeDescriptor Instance2 => new OpcBrowseNodeDescriptor
        {
            AEAttributeId = uint.MaxValue,
            AECategoryId = uint.MaxValue,
            AEConditionName = "aeCondition2",
            AENodeDescriptor = AENodeDescriptorInstances.Instance2,
            AESubconditionName = "aeSubcondition2",
            DAAccessPath = "daAccessPath2",
            DANodeDescriptor = DANodeDescriptorInstances.Instance2,
            DAPropertyDescriptor = DAPropertyDescriptorInstances.Instance2,
            ServerDescriptor = ServerDescriptorInstances.Instance2
        };
    }
}
