﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAClientApplicationParametersInstances
    {
        [NotNull]
        static public UAClientApplicationParameters Instance1 => new UAClientApplicationParameters
        {
            AllowClientCertificatePrompt = true,
            ApplicationCertificateStore = "applicationCertificateStore1",
        };

        [NotNull]
        static public UAClientApplicationParameters Instance2 => new UAClientApplicationParameters
        {
            ApplicationName = "TestAN",
#pragma warning disable 618
            ApplicationCertificateSubject = "TestACSu",
#pragma warning restore 618
            ApplicationUriString = "TestAUS",
            ProductUriString = "TestPUS",
        };
    }
}
