﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AddressSpace.Standard;
using OpcLabs.EasyOpc.UA.Filtering;
using OpcLabs.EasyOpc.UA.Navigation;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;

namespace OpcLabs.EasyOpcFactory.UA.Filtering
{
    static public class UAAttributeOperandInstances
    {
        [NotNull]
        static public UAAttributeOperand Instance1 => new UAAttributeOperand(
            UAObjectTypeIds.BaseEventType,
            UABrowsePathElementCollection.Empty,
            UAAttributeId.NodeId,
            UAIndexRangeListInstances.Instance1);

        [NotNull]
        static public UAAttributeOperand Instance2 => new UAAttributeOperand(
            UAObjectTypeIds.BaseEventType,
            UABrowsePathElementCollectionInstances.Instance1,
            UAAttributeId.Value,
            UAIndexRangeListInstances.Instance2);

        [NotNull]
        static public UAAttributeOperand Instance3 => new UAAttributeOperand(
            UAObjectTypeIds.BaseEventType,
            "testAlias1",
            UABrowsePathElementCollectionInstances.Instance1,
            UAAttributeId.Value,
            UAIndexRangeListInstances.Instance2);
    }
}
