﻿
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class UAAttributeDataResultInstances
    {
        [NotNull]
        static public UAAttributeDataResult Instance0 => new UAAttributeDataResult();

        [NotNull]
        static public UAAttributeDataResult Instance1 => new UAAttributeDataResult("TestState1", UAAttributeData.Null);

        [NotNull]
        static public UAAttributeDataResult Instance2 => new UAAttributeDataResult(222, UAAttributeDataInstances.Instance1);

        [NotNull]
        static public UAAttributeDataResult Instance3 => new UAAttributeDataResult(333.3d, UAAttributeDataInstances.Instance2);

        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UAAttributeDataResult Instance4 => new UAAttributeDataResult(null, new COMException("TestMessage", 918273645)) {ErrorId = "-8273645" };

        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UAAttributeDataResult Instance5 => new UAAttributeDataResult(null, new COMException("TestMessage1", new COMException("TestMessage2"))) {ErrorId = "-918273645" };
    }
}
