﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AlarmsAndConditions;
using OpcLabs.EasyOpcFactory.UA.Filtering;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UAEventFilterBuilderInstances
    {
        [NotNull]
        static public UAEventFilterBuilder Instance1 => new UAEventFilterBuilder(UABaseEventObject.AllFields);

        [NotNull]
        static public UAEventFilterBuilder Instance2 => new UAEventFilterBuilder(UAContentFilterElementInstances.Instance1);

        [NotNull]
        static public UAEventFilterBuilder Instance3 => new UAEventFilterBuilder(
            UAContentFilterElementInstances.Instance1,
            UABaseEventObject.AllFields);
    }
}
