﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.ComInterop;
using OpcLabs.EasyOpc.DataAccess.OperationModel;

namespace OpcLabs.EasyOpcFactory.DataAccess.OperationModel
{
    static public class EasyDAItemSubscriptionArgumentsInstances
    {
        [NotNull]
        static public EasyDAItemSubscriptionArguments Instance1 => new EasyDAItemSubscriptionArguments(
            // ReSharper disable RedundantArgumentName
            "machine1", 
            "company1.class1",
            "branch1.item1", 
            dataType:VarTypes.I4, 
            requestedUpdateRate: 55555, 
            state: 888888881);
    }
}
