﻿using System;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class EasyUAEngineExceptionInstances
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        // ReSharper disable once LocalizableElement
        static public EasyUAEngineException Instance1 => new EasyUAEngineException("TestMessage1");

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public EasyUAEngineException Instance2 => new EasyUAEngineException(
            // ReSharper disable once LocalizableElement
            "TestMessage1", 
            new ApplicationException("InnerException2"));
    }
}
