﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAClientEngineParametersInstances
    {
        [NotNull]
        static public UAClientEngineParameters Instance1 => new UAClientEngineParameters
        {
            ApplicationParameters = UAClientApplicationParametersInstances.Instance1,
            CertificateAcceptancePolicy = UACertificateAcceptancePolicyInstances.Instance1,
            ConfigurationSources = UAConfigurationSources.AppConfig,
            ReconnectionPeriod = 1002,
            RetrialDelay = 1003,
        };

        [NotNull]
        static public UAClientEngineParameters Instance2 => new UAClientEngineParameters
        {
            ApplicationParameters = UAClientApplicationParametersInstances.Instance2,
            UserInteractionParameters = UAUserInteractionParametersInstances.Instance1
        };
    }
}
