﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UASmartEngineParametersInstances
    {
        [NotNull]
        static public UASmartEngineParameters Instance1 => new UASmartEngineParameters(UAClientEngineParametersInstances.Instance1)
        {
            CertificateAcceptancePolicy = UACertificateAcceptancePolicyInstances.Instance1,
            GarbageCollectionPeriod = 2001
        };
    }
}
