﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Filtering;

namespace OpcLabs.EasyOpcFactory.UA.Filtering
{
    static public class UAContentFilterElementBuilderInstances
    {
        // IMPROVE: have this, after we figure out how to exclude it from some serializations and copy ctor tests
        //[NotNull]
        //static public UAContentFilterElement Cyclic
        //{
        //    get
        //    {
        //        var result = new UAContentFilterElement(UAFilterOperator.And);
        //        result.Add(result);
        //        result.Add(UALiteralOperandInstances.Instance1);
        //        return result;
        //    }
        //}

        [NotNull] 
        static public UAContentFilterElementBuilder Instance1 => new UAContentFilterElementBuilder(UAFilterOperator.And, new UAFilterOperand[] 
            { UAAttributeOperandInstances.Instance1, UALiteralOperandInstances.Instance1 });

        [NotNull]
        static public UAContentFilterElementBuilder Instance2 => new UAContentFilterElementBuilder(UAFilterOperator.And, new UAFilterOperand[]
            { UASimpleAttributeOperandInstances.Instance1, UALiteralOperandInstances.Instance1 });

        [NotNull]
        static public UAContentFilterElementBuilder Nested => new UAContentFilterElementBuilder(UAFilterOperator.And, new UAFilterOperand[]
            { Instance1, UALiteralOperandInstances.Instance1 });
    }
}
