﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.UA.PubSub;
using OpcLabs.EasyOpc.UA.PubSub.OperationModel;
using OpcLabs.UnitTestLib;

namespace OpcLabs.OpcInteroperabilityTest.UA.PubSub.Publishers
{
    [TestClass]
    // ReSharper disable once IdentifierTypo
    public class YokogawaElectricCorporation_UAServerForCentumVP_Test
    {
        [TestMethod]
        public void FixedLayoutTest()
        {
            UAPubSubConnectionDescriptor connectionDescriptor = "opc.udp://239.0.0.192:34492";
            //UASubscribeDataSetFilter subscribeDataSetFilter =
            //    UASubscribeDataSetFilter.Create(UAPublisherIdType.UInt16, 10);

            var subscriber = new EasyUASubscriber();
            subscriber.DataSetMessage += (sender, args) =>
            {
                AssertUtilities.WriteLine(args);
            };

            // 

            var subscribeDataSetArguments = new EasyUASubscribeDataSetArguments(connectionDescriptor);

            //

            subscriber.SubscribeDataSet(subscribeDataSetArguments);

            AssertUtilities.WaitingPhase(2 * 60 * 1000);


        }
    }
}
